package test;

import com.university.Course;
import com.university.Department;
import com.university.Professor;
import com.university.Student;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class DepartmentTest {
    static Department department;
    static Professor professor;
    static Course course;
    static Student student;
    @BeforeAll
    public static void createDepartment()
    {
        department = new Department("Computer");
        professor = new Professor(department, "Gholam");
        student = new Student("Roham", "1", "Software Eng", department);
        course = new Course("1", "AP", department, professor, 0);
        department.addStudent(student);
        department.addCourse(course);
        department.addProfessor(professor);
    }
    @Test
    public void testDepartment()
    {
        assertEquals("Computer", department.getName());
        assertEquals( course, department.getCourses()[0]);
        assertEquals( student, department.getStudents()[0]);
        assertEquals(professor, department.getProfessors()[0]);
        department.removeCourse(course);
        department.removeProfessor(professor);
        department.removeStudent(student);
        assertEquals( 0, department.getCourses().length);
        assertEquals( 0, department.getStudents().length);
        assertEquals(0, department.getProfessors().length);
    }
}